Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileLine Class Reference

## Description

Represents a profile line tool.

Inheritance diagram for GoProfileLine:

## Public Member Functions
GoProfileLineAngle | GoProfileLine_AngleMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Angle measurement object. More...
kStatus | GoProfileLine_EnableFittingRegions (GoProfileLine tool, kBool enable)
| Enables or disables the fitting regions. More...
kStatus | GoProfileLine_EnableRegion (GoProfileLine tool, kBool enable)
| Enables or disables the region. More...
kBool | GoProfileLine_FittingRegionsEnabled (GoProfileLine tool)
| Indicates whether the fitting regions are enabled. More...
GoProfileLineLine | GoProfileLine_Line (GoProfileLine tool)
| Returns a GoProfileLine line feature object. More...
GoProfileLineMaxError | GoProfileLine_MaxErrorMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Maximum Error measurement object. More...
GoProfileLineMaxErrorPoint | GoProfileLine_MaxErrorPoint (GoProfileLine tool)
| Returns a GoProfileLine min error point feature object. More...
GoProfileLineMaxErrorX | GoProfileLine_MaxErrorXMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Maximum X Error measurement object. More...
GoProfileLineMaxErrorZ | GoProfileLine_MaxErrorZMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Maximum Z Error measurement object. More...
GoProfileLineMinError | GoProfileLine_MinErrorMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Minimum Error measurement object. More...
GoProfileLineMinErrorPoint | GoProfileLine_MinErrorPoint (GoProfileLine tool)
| Returns a GoProfileLine Maximum Z Error measurement object. More...
GoProfileLineMinErrorX | GoProfileLine_MinErrorXMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Minimum X Error measurement object. More...
GoProfileLineMinErrorZ | GoProfileLine_MinErrorZMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Minimum Z Error measurement object. More...
GoProfileLineOffset | GoProfileLine_OffsetMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Offset measurement object. More...
GoProfileLinePercentile | GoProfileLine_PercentileMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Percentile measurement object. More...
kBool | GoProfileLine_RegionEnabled (GoProfileLine tool)
| Indicates whether the region is enabled. More...
GoProfileLineStdDev | GoProfileLine_StdDevMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Standard Deviation measurement object. More...
GoProfileRegion | GoProfileLineFittingRegion_RegionAt (GoProfileLineFittingRegion lineRegion, kSize index)
| Gets the profile region based on the given index. More...
k32u | GoProfileLineFittingRegion_RegionCount (GoProfileLineFittingRegion lineRegion)
| Returns the number of regions. More...
kStatus | GoProfileLineFittingRegion_SetRegionCount (GoProfileLineFittingRegion lineRegion, kSize count)
| Sets the number of regions in use. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetStream (GoProfileTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
GoDataStream | GoProfileTool_Stream (GoProfileTool tool)
| Gets the data stream. More...
GoDataStream | GoProfileTool_StreamOptionAt (GoProfileTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoProfileTool_StreamOptionCount (GoProfileTool tool)
| Gets the data stream option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
kStatus | GoTool_AddFeatureOutput (GoTool tool, kType type, GoFeature *featureOutput)
| Adds the given feature output to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearFeatureOutputs (GoTool tool)
| Removes all feature outputs for the given tool. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
k32s | GoTool_Id (GoTool tool)
| Retrieves the id of the instance of the tool. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveFeatureOutput (GoTool tool, kSize index)
| Removes a feature output at a given index. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following files:

- Tools/GoProfileTools.h
- Tools/GoProfileToolUtils.h